Subject: Re: g77 compiled ?
From: [email-masked] ("Masahiro Kan, Home")

22 Mar 1997 02:20:36 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-My-Real-Login-Name: f2200008; usermx.infopepper.or.jp
MIME-Version: 1.0
X-Mailer: Denshin 8 Go V321.1b7
Original-To: <[email-masked]>
In-Reply-To: Your message of "Fri, 21 Mar 1997 02:20:53 -0500"
 	<[email-masked]>
Original-Sender: [email-masked]

Wei Ku of The University of Tennessee wrote;
> Second, a suggestion, the g77 compiler for FORTRAN, which is popular in
> science domain, should be included in the CDK. Because of the strong
> correlation between g77 and gcc, it may be a tough task to compile g77 in
> GNU-Win32 environment. I am willing to try to compile the g77 in GNU-Win32
> if no one has done that before. Please provide me more information about
> g77: has anyone compiled it in GNU-Win32 ? what is the version the gcc
> provided in GNU-Win32 b17.1 ?

   From the following response by Cygnus to Dr. Tsu-huei Liu, they seem not 
to support g77 under Cygwin32.

>From: kpowers
>To: Liu, Tsu-huei- TOP
>Subject: Re: FORTRAN compiler g77
>Date: Tuesday, January 28, 1997 1:26PM
>
>No, we do not.  Our focus is on GNU C/C++ compiler technology.  We do not
>work with Fortran.
>
>I am sorry.
>
>Kathy
>
>>
>>Ladies and/or Gentlemen:
>>
>>     We have been happy with  the GNU FORTRAN compiler
>>for Linux.   This is  g77.   But now we must turn our attention to
>>MS Windows NT.
>>
>>     Does Cygnus offer  g77  for  MS Windows NT?   We
>>observe that this seems to be missing in an inventory
>>of the GNU-Win32 tools that we downloaded from your
>>aFTP site.
>>
>>Dr. Tsu-huei Liu,  Route TOP
>>Network Planning
>>Bonneville Power Administration
>>P. O. Box 3621
>>Portland, Oregon 97232-3621
>>
>>January 27, 1997   9:11 am

   BTW, Mumit Khan announced the binaries of g77-0.5.20 for gnu-win32 b17.1
at 16th March in this mailing list;
> Since announcing the g77-0.5.20 patch for gnu-win32 b17.1 a while back,
> I've had a few requests for binaries and since I don't have the time to
> mail these out, I've put the files up for WEB access. Please do remember
> that these come largely untested and wholly unsupported. To retrieve the
> package, point your browser at:
>
>    http://www.xraylith.wisc.edu/~khan/software/gnu-win32/
>
> and follow the "binaries" link. The binaries were built on a i486-linux
> box by first building a x-toolchain and then creating native win32 binaries 
> using those.
>
> Feedback welcome.

   I downloaded it and tested, but encountered the following message.  
I suppose gcc.exe which recognizes g77/f771 should be also included in the 
binary distribution.

gcc : language f77 not recognized
gcc : xxx.f: Fortran compiler not installed on this system

-------------------------
Masahiro Kan
Surge Arrester Dept., Hamakawasaki-Works, TOSHIBA Corporation, Japan.
E-mail:"Masahiro Kan at Toshiba"<[email-masked]>
       "Masahiro Kan at Home"<[email-masked]>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".